java.lang

## Class UnsatisfiedLinkError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.LinkageError
      - - java.lang.UnsatisfiedLinkError

All Implemented Interfaces:
  Serializable

    public class UnsatisfiedLinkError
    extends LinkageError

Thrown if the Java Virtual Machine cannot find an appropriate native-language definition of a method declared `native`.

Since:
  JDK1.0
See Also:
  `Runtime`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnsatisfiedLinkError()` Constructs an `UnsatisfiedLinkError` with no detail message.
`UnsatisfiedLinkError(String s)` Constructs an `UnsatisfiedLinkError` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsatisfiedLinkError

    public UnsatisfiedLinkError()

Constructs an `UnsatisfiedLinkError` with no detail message.

#### UnsatisfiedLinkError

    public UnsatisfiedLinkError(String s)

Constructs an `UnsatisfiedLinkError` with the specified detail message.

Parameters:
  `s` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.